Crypto Deposits
Get crypto deposit
https://api.firstleeward.com/v0/crypto-deposits/:idRetrieves crypto deposit details including asset metadata.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredCrypto deposit ID
Response
200Crypto deposit resource
idstring<uuid>requiredUnique deposit identifier
accountIdstring<uuid>requiredAccount that received the deposit
chainIdstringrequiredBlockchain network identifier
ETHEREUM_MAINNETETHEREUM_SEPOLIABASE_MAINNETBASE_SEPOLIAARBITRUM_ONE_MAINNETARBITRUM_ONE_SEPOLIAPOLYGON_MAINNETPOLYGON_AMOYSOLANA_MAINNETSOLANA_DEVNETtransactionIdstringrequiredOn-chain transaction hash/signature
statusstringrequiredCurrent deposit status
PENDINGCONFIRMEDAPPROVEDREJECTEDrejectionReasonstring | nullrequiredReason for rejection (only when status is REJECTED)
TRANSACTION_FAILEDASSET_NOT_ACCEPTEDKYT_CHECK_FAILEDAMOUNT_TOO_SMALLamountstringrequiredAmount with decimals applied (string for full precision)
feeAmountstring | nullrequiredDeposit fee charged on this deposit, in the same asset as amount. null when the deposit is not subject to a deposit fee
senderAddressstringrequiredAddress that sent the deposit
occurredAtstring | nullrequiredISO 8601 timestamp of on-chain transfer
createdAtstringrequiredISO 8601 timestamp of creation
updatedAtstringrequiredISO 8601 timestamp of last update
assetobjectrequiredAsset metadata
Show child attributes
symbolstringrequiredAsset symbol
namestring | nullrequiredFull asset name
decimalsintegerrequiredNumber of decimal places
logoUristring | nullrequiredURI to asset logo image
404Deposit not found
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired